[![Build Status](https://rubygems.org//baidu_aip_ruby_sdk.svg)](https://rubygems.org//baidu_aip_ruby_sdk)

baidu_aip_ruby_sdk
=========

Baidu AI Platform ruby sdk, unofficial.

Table of Contents
-----------------
* [Installation](#installation)
* [Quick Start](#quick-start)
* [Library Overview](#library-overview)
* [License](#license)
* [Contact](#contact)


Installation
------------

You may get the latest stable version from [Rubygems]:

    $ gem install baidu_ai

For bundler:

    gem 'baidu_ai'


Quick Start
-----------

~~~ ruby
require 'rubygems'
require 'baidu_ai'

# SpeechSynthesis example
BaiduAi.api_key = 'your api key'
BaiduAi.secret_key = 'your secret key'
BaiduAi::SpeechSynthesizer.speak 'QR-00000001', '横琴号十号线, 车辆即将到达创意谷，有 23 名乘客上车， 5 人下车'
~~~


Library Overview
----------------

### Connecting ###

TLS/SSL is enabled by default:

~~~ ruby
Net::HTTP.start(uri.host, uri.port, :use_ssl => uri.scheme == 'https') do |http|
~~~

License
-------

The baidu_aip_ruby_sdk ruby gem is licensed under the terms of the MIT license.
See the file LICENSE for details.


Contact
-------

* Author:    LCola
* Email:     developer@lcola.cn
* Home Page: [LCola]


[LCola]:          https://www.lcola.cn/
[Rubygems]:       http://rubygems.org/
[Bundler]:        http://bundler.io/
